#ifndef	CONFIG_H
#define	CONFIG_H

  /* change to 0 if `stdarg.h' is *not* available on your system */

#if	1
  #define  VARARG_HEADER	<stdarg.h>
#else
  #define  VARARG_HEADER	<varargs.h>
#endif

  /* change to 0 if `strings.h' instead of `string.h' is available */

#if	1
  #define  STRING_HEADER	<string.h>
#else
  #define  STRING_HEADER	<strings.h>
#endif

  /* undef if your sprintf() does *not* return an int */

#define	SPRINTF_RET_INT

  /* define if your compiler can't use prototypes and defines `__STDC__'
   * although it shouldn't
   */

#undef	BRAIN_DEAD

  /* *NOTHING* need to be changed below this line */

#if	defined( __P)
  #define  P		__P	/* use compiler-defined prototypes */
#elif	__STDC__ && !defined( BRAIN_DEAD)
  #define  P( x)	x	/* standard C compilers can use prototypes */
#else
  #define  P( x)		/* no prototypes */
#endif

#if	__GNUC__ >= 2
  #define  INLINE	inline
#else
  #define  INLINE		/* no inlining */
  #define  __NORETURN		/* no pre-attributes */
  #define  __NORETURN2		/* no post-attributes */
#endif

#endif	/* CONFIG_H */
